## ifd-gempc 0.6.1

=== Makefile ===
# $Id: Makefile,v 1.2 2001/10/25 21:09:09 rousseau Exp $

all:
	$(MAKE) -C common clean
	cd GemPC410 ; $(MAKE)
	$(MAKE) -C common clean
	cd GemPC430 ; $(MAKE)

clean:
	$(MAKE) -C common clean
	$(MAKE) -C GemPC410 clean
	$(MAKE) -C GemPC430 clean

=== GemPC410/Makefile ===
#
# $Id: Makefile,v 1.13 2002/03/07 21:41:37 rousseau Exp $
#

CFLAGS = -Wall -O2 -fPIC -g -I. -I../common -D_REENTRANT -DGEMPC=410
CC = gcc

# /home/rousseau/sc/pcsc/i/ifd-gempc-0.5.10/GemPC410 -> 0.5.10
version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
# /home/rousseau/sc/pcsc/i/ifd-gempc-0.5.10/GemPC410 -> 0
version_major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')

targets = GCGBPTransport.o gbpserial.o GemPC410Utils.o

common_targets=	../common/ifdhandler.o \
	../common/GCdebug.o ../common/GCCmds.o ../common/GCUtils.o

all: ifd-GemPC410 resetGemPC410 libGemPC410.so

common:
	$(MAKE) -C ../common CFLAGS="$(CFLAGS) -I../GemPC410" all

ifd-GemPC410: common $(targets) main.o
	$(CC) -o $@ $(targets) $(common_targets) main.o

resetGemPC410: resetGemPC410.o
	$(CC) -o $@ $^

libGemPC410.so: common $(targets)
	$(CC) -shared $(targets) $(common_targets) -o $@
	chmod -x $@
	strip --strip-unneeded $@
	mv $@ $@.$(version)
	ln -sf $@.$(version) $@.$(version_major)
	ln -sf $@.$(version_major) $@

install:
	cp -a libGemPC410.so* $(DESTDIR)/usr/lib/

clean:
	cat /dev/null > .dependencies
	rm -f $(targets)
	rm -f ifd-GemPC410 main.o
	rm -f libGemPC410.so*
	rm -f resetGemPC410.o resetGemPC410
	$(MAKE) -C ../common clean
	rm -f Makefile.bak .dependencies

dep:
	@echo "Making dependencies..."
	makedepend -f - -I. -I../common -DGEMPC=410 *.c ../common/*.c > .dependencies

.dependencies:
	@echo "Making dependencies..."
	makedepend -f - -I. -I../common -DGEMPC=410 *.c ../common/*.c > .dependencies

ctags:
	ctags-exuberant *.h *.c ../common/*.h ../common/*.c

.PHONY: common clean dep ctags 

include .dependencies

=== GemPC430/Makefile ===
CFLAGS= -Wall -O2 -fPIC -g -I. -I../common -DGEMPC=430
CC=gcc

targets= GCUSBTransport.o usbserial_linux.o usblinux.o GemPC430Utils.o

common_targets=	../common/ifdhandler.o ../common/GCCmds.o ../common/GCUtils.o \
	../common/GCdebug.o

all: ifd-GemPC430 libGemPC430

common:
	$(MAKE) -C ../common CFLAGS="$(CFLAGS) -I../GemPC430" all

ifd-GemPC430: common $(targets) main.o
	$(CC) -o $@ $(targets) $(common_targets) main.o

libGemPC430: common $(targets)
	mkdir -p ifd-GemPC430.bundle/Contents/Linux/
	$(CC) -shared -o libGemPC430.so $(targets) $(common_targets)
	strip libGemPC430.so

main.o: ../GemPC410/main.c
	$(CC) $(CFLAGS) -c -o $@ ../GemPC410/main.c

clean:
	rm -f $(targets)
	rm -f libGemPC430.so ifd-GemPC430.bundle/Contents/Linux/libGemPC430.so
	rm -f ifd-GemPC430 main.o
	$(MAKE) -C ../common clean

install:
	cp libGemPC430.so ifd-GemPC430.bundle/Contents/Linux/
	mkdir -p $(DESTDIR)/usr/lib/pcsc/drivers/
	cp -r ifd-GemPC430.bundle $(DESTDIR)/usr/lib/pcsc/drivers/

dep:
	makedepend -I. -I../common -DGEMPC=430 GCUSBTransport.c GemPC430Utils.c \
		usblinux.c usbserial_linux.c ../common/*.c

ctags:
	ctags-exuberant *.h *.c ../common/*.c ../common/*.h

.PHONY: common clean dep ctags

# DO NOT DELETE

=== common/Makefile ===
CC=gcc
CFLAGS= -Wall -O2  -g

OBJS= GCCmds.o GCdebug.o GCUtils.o ifdhandler.o
all: $(OBJS)

clean:
	rm -f $(OBJS)
	rm -f tags

ctags:
	ctags-exuberant *.h *.c

.PHONY: all clean ctags

## ifd-gempc 0.9.1

=== GemPC410/Makefile ===
#
# $Id: Makefile,v 1.43 2004/01/20 14:33:37 rousseau Exp $
#

# set this path to where you installed pcsc-lite
INCS = -I/usr/local/include

# use a correct default CFLAGS
ifeq ($(CFLAGS),)
CFLAGS = -O2 -g -Wall -fPIC -I. -I../common -DGEMPC=410 $(INCS)
else
CFLAGS += -Wall -fPIC -I. -I../common -DGEMPC=410 $(INCS)
endif

# by default install in /usr/local
ifeq ($(DESTDIR),)
DESTDIR=/usr/local/pcsc/drivers/serial
endif

# /home/rousseau/sc/pcsc/i/ifd-gempc-0.5.10/GemPC410 -> 0.5.10
version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
# /home/rousseau/sc/pcsc/i/ifd-gempc-0.5.10/GemPC410 -> 0
version_major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')

targets = GCGBPTransport.o gbpserial.o GemPC410Utils.o

common_targets = ../common/ifdhandler.o ../common/GCCmds.o ../common/GCUtils.o

all: check expert

check: check_stamp
check_stamp:
	CFLAGS="$(INCS)" ../check 410
	touch check_stamp

expert: ifd-GemPC410 resetGemPC410 libGemPC410.so

common:
	$(MAKE) -C ../common CFLAGS="$(CFLAGS) -I../GemPC410" all

ifd-GemPC410: common $(targets) main.o ../common/GCdebug.o
	$(CC) -o $@ $(targets) $(common_targets) main.o ../common/GCdebug.o

resetGemPC410: resetGemPC410.o
	$(CC) -o $@ $^

libGemPC410.so: common $(targets)
	rm -f $@
	$(CC) -shared $(targets) $(common_targets) -o $@
	chmod -x $@
	strip --strip-unneeded $@
	mv $@ $@.$(version)
	ln -sf $@.$(version) $@.$(version_major)
	ln -sf $@.$(version_major) $@

clean:
	rm -f .dependencies
	touch .dependencies
	rm -f $(targets)
	rm -f ifd-GemPC410 main.o
	rm -f libGemPC410.so*
	rm -f resetGemPC410.o resetGemPC410
	$(MAKE) -C ../common clean
	rm -f Makefile.bak
	rm -f config.log

distclean: clean
	rm -f tags
	rm -f check_stamp dep_stamp

install: all
	if [ ! -d $(DESTDIR) ] ; then install -d $(DESTDIR) ; fi
	cp -R libGemPC410.so* $(DESTDIR)

dep: dep_stamp
dep_stamp:
	@echo "Making dependencies..."
	makedepend -f - -I. -I../common -DGEMPC=410 *.c > .dependencies || true
	$(MAKE) -C ../common dep
	touch dep_stamp

.dependencies: dep

ctags:
	ctags-exuberant *.h *.c ../common/*.h ../common/*.c

.PHONY: all common clean distclean dep ctags expert check

include .dependencies

=== GemPC430/Makefile ===
#
# $Id: Makefile,v 1.44 2003/09/02 19:45:09 rousseau Exp $
#

# set these paths to where you installed pcsc-lite and libusb
# you can use more than one path in each variable
INCS = -I/usr/local/include
LIBS = -L/usr/local/lib

# use a correct default CFLAGS
ifeq ($(CFLAGS),)
CFLAGS = -O2 -g -Wall -fPIC -I. -I../common -DGEMPC=430 $(INCS)
else
CFLAGS += -Wall -fPIC -I. -I../common -DGEMPC=430 $(INCS)
endif
LDFLAGS = $(LIBS) -lusb

# by default install in /usr/local
ifeq ($(DESTDIR),)
DESTDIR=/usr/local
endif

# /home/rousseau/sc/pcsc/i/ifd-gempc-0.5.10/GemPC410 -> 0.5.10
version=$(shell expr `pwd` : '.*-\([0-9.]*\)')

targets= GCUSBTransport.o libusb_wrap.o GemPC430Utils.o

common_targets=	../common/ifdhandler.o ../common/GCCmds.o ../common/GCUtils.o

all: check expert

check: check_stamp
check_stamp:
	CFLAGS="$(INCS)" LDFLAGS="$(LIBS)" ../check 430
	touch check_stamp

expert: ifd-GemPC430 libGemPC430.so

common:
	$(MAKE) -C ../common CFLAGS="$(CFLAGS) -I../GemPC430" all

ifd-GemPC430: common $(targets) main.o ../common/GCdebug.o
	$(CC) $(LDFLAGS) -o $@ $(targets) $(common_targets) main.o ../common/GCdebug.o

libGemPC430.so: common $(targets)
	$(CC) -shared $(LDFLAGS) -o $@ $(targets) $(common_targets)
	strip $@

main.o: ../GemPC410/main.c
	$(CC) $(CFLAGS) -c -o $@ $^

clean:
	rm -f .dependencies
	touch .dependencies
	rm -f $(targets)
	rm -f libGemPC430.so ifd-GemPC430.bundle/Contents/Linux/libGemPC430.so.$(version)
	rm -f ifd-GemPC430 main.o
	$(MAKE) -C ../common clean
	rm -f Makefile.bak
	rm -f config.log

distclean: clean
	rm -f tags
	rm -f check_stamp dep_stamp

install: all
	mkdir -p $(DESTDIR)/pcsc/drivers/ifd-GemPC430.bundle/Contents/Linux/
	cp libGemPC430.so $(DESTDIR)/pcsc/drivers/ifd-GemPC430.bundle/Contents/Linux/libGemPC430.so.$(version)
	sed s/VERSION/$(version)/ Info.plist > $(DESTDIR)/pcsc/drivers/ifd-GemPC430.bundle/Contents/Info.plist

dep: dep_stamp
dep_stamp:
	@echo "Making dependencies..."
	makedepend -f - -I. -I../common -DGEMPC=430 GCUSBTransport.c \
		GemPC430Utils.c libusb_wrap.c > .dependencies || true
	$(MAKE) -C ../common dep
	touch dep_stamp

.dependencies: dep

ctags:
	ctags-exuberant *.h *.c ../common/*.h ../common/*.c

.PHONY: all common clean distclean dep ctags expert check

include .dependencies

## ifd-gempc 0.9.3

=== Makefile ===
# $Id: Makefile,v 1.9 2003/05/03 07:43:49 rousseau Exp $

all:
	$(MAKE) -C common clean
	$(MAKE) -C GemPC410
	$(MAKE) -C common clean
	$(MAKE) -C GemPC430

clean:
	$(MAKE) -C GemPC410 clean
	$(MAKE) -C GemPC430 clean
	$(MAKE) -C common clean

distclean:
	$(MAKE) -C GemPC410 distclean
	$(MAKE) -C GemPC430 distclean
	$(MAKE) -C common distclean
	rm -f config.log

install:
	$(MAKE) -C common clean
	$(MAKE) -C GemPC410 install
	$(MAKE) -C common clean
	$(MAKE) -C GemPC430 install

.PHONY: all clean distclean ctags

=== GemPC410/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #
-# $Id: Makefile,v 1.43 2004/01/20 14:33:37 rousseau Exp $
+# $Id: Makefile,v 1.45 2004/07/03 21:08:07 rousseau Exp $
 #
 
 # set this path to where you installed pcsc-lite
-INCS = -I/usr/local/include
+INCS = `pkg-config libpcsclite --cflags`
 
 # use a correct default CFLAGS
 ifeq ($(CFLAGS),)
@@ -14,7 +14,7 @@
 
 # by default install in /usr/local
 ifeq ($(DESTDIR),)
-DESTDIR=/usr/local/pcsc/drivers/serial
+DESTDIR=/usr/local
 endif
 
 # /home/rousseau/sc/pcsc/i/ifd-gempc-0.5.10/GemPC410 -> 0.5.10
@@ -69,8 +69,8 @@
 	rm -f check_stamp dep_stamp
 
 install: all
-	if [ ! -d $(DESTDIR) ] ; then install -d $(DESTDIR) ; fi
-	cp -R libGemPC410.so* $(DESTDIR)
+	if [ ! -d $(DESTDIR)/pcsc/drivers/serial ] ; then install -d $(DESTDIR)/pcsc/drivers/serial ; fi
+	cp -R libGemPC410.so* $(DESTDIR)/pcsc/drivers/serial
 
 dep: dep_stamp
 dep_stamp:

=== GemPC430/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #
-# $Id: Makefile,v 1.44 2003/09/02 19:45:09 rousseau Exp $
+# $Id: Makefile,v 1.45 2004/07/03 21:08:05 rousseau Exp $
 #
 
 # set these paths to where you installed pcsc-lite and libusb
 # you can use more than one path in each variable
-INCS = -I/usr/local/include
+INCS = -I/usr/local/include `pkg-config libpcsclite --cflags`
 LIBS = -L/usr/local/lib
 
 # use a correct default CFLAGS

=== common/Makefile ===
# $Id: Makefile,v 1.17 2003/08/14 09:45:18 rousseau Exp $

OBJS = GCCmds.o GCUtils.o ifdhandler.o GCdebug.o

all: $(OBJS)

clean:
	rm -f $(OBJS)
	rm -f .dependencies
	touch .dependencies

distclean: clean
	rm -f tags
	rm -f dep_stamp

ctags:
	ctags-exuberant *.h *.c

dep: dep_stamp
dep_stamp:
	makedepend -f - -I. -I../GemPC410 -DGEMPC=410 *.c > .dependencies || true
	touch dep_stamp

.dependencies: dep

.PHONY: all clean distclean ctags dep

include .dependencies

## ifd-gempc 1.0.0

=== GemPC430/Makefile ===
--- 
+++ 
@@ -1,11 +1,12 @@
 #
-# $Id: Makefile,v 1.45 2004/07/03 21:08:05 rousseau Exp $
+# $Id: Makefile,v 1.46 2005/06/17 10:58:50 rousseau Exp $
 #
 
 # set these paths to where you installed pcsc-lite and libusb
 # you can use more than one path in each variable
 INCS = -I/usr/local/include `pkg-config libpcsclite --cflags`
 LIBS = -L/usr/local/lib
+INSTALL_DIR = $(DESTDIR)/`pkg-config libpcsclite --variable=usbdropdir`
 
 # use a correct default CFLAGS
 ifeq ($(CFLAGS),)
@@ -64,9 +65,9 @@
 	rm -f check_stamp dep_stamp
 
 install: all
-	mkdir -p $(DESTDIR)/pcsc/drivers/ifd-GemPC430.bundle/Contents/Linux/
-	cp libGemPC430.so $(DESTDIR)/pcsc/drivers/ifd-GemPC430.bundle/Contents/Linux/libGemPC430.so.$(version)
-	sed s/VERSION/$(version)/ Info.plist > $(DESTDIR)/pcsc/drivers/ifd-GemPC430.bundle/Contents/Info.plist
+	mkdir -p $(INSTALL_DIR)/ifd-GemPC430.bundle/Contents/Linux/
+	cp libGemPC430.so $(INSTALL_DIR)/ifd-GemPC430.bundle/Contents/Linux/libGemPC430.so.$(version)
+	sed s/VERSION/$(version)/ Info.plist > $(INSTALL_DIR)/ifd-GemPC430.bundle/Contents/Info.plist
 
 dep: dep_stamp
 dep_stamp:

## ifd-gempc 1.0.1

=== GemPC410/Makefile ===
--- 
+++ 
@@ -1,9 +1,10 @@
 #
-# $Id: Makefile,v 1.45 2004/07/03 21:08:07 rousseau Exp $
+# $Id: Makefile,v 1.48 2005/06/17 10:58:23 rousseau Exp $
 #
 
 # set this path to where you installed pcsc-lite
 INCS = `pkg-config libpcsclite --cflags`
+INSTALL_DIR = $(DESTDIR)/`pkg-config libpcsclite --variable=usbdropdir`/serial
 
 # use a correct default CFLAGS
 ifeq ($(CFLAGS),)
@@ -19,8 +20,6 @@
 
 # /home/rousseau/sc/pcsc/i/ifd-gempc-0.5.10/GemPC410 -> 0.5.10
 version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
-# /home/rousseau/sc/pcsc/i/ifd-gempc-0.5.10/GemPC410 -> 0
-version_major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')
 
 targets = GCGBPTransport.o gbpserial.o GemPC410Utils.o
 
@@ -50,8 +49,6 @@
 	chmod -x $@
 	strip --strip-unneeded $@
 	mv $@ $@.$(version)
-	ln -sf $@.$(version) $@.$(version_major)
-	ln -sf $@.$(version_major) $@
 
 clean:
 	rm -f .dependencies
@@ -69,8 +66,8 @@
 	rm -f check_stamp dep_stamp
 
 install: all
-	if [ ! -d $(DESTDIR)/pcsc/drivers/serial ] ; then install -d $(DESTDIR)/pcsc/drivers/serial ; fi
-	cp -R libGemPC410.so* $(DESTDIR)/pcsc/drivers/serial
+	if [ ! -d $(INSTALL_DIR) ] ; then install -d $(INSTALL_DIR) ; fi
+	cp -R libGemPC410.so.$(version) $(INSTALL_DIR)
 
 dep: dep_stamp
 dep_stamp:

=== GemPC430/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.46 2005/06/17 10:58:50 rousseau Exp $
+# $Id: Makefile,v 1.46 2005-06-17 10:58:50 rousseau Exp $
 #
 
 # set these paths to where you installed pcsc-lite and libusb

## ifd-gempc 1.0.3

=== GemPC410/Makefile ===
--- 
+++ 
@@ -1,21 +1,16 @@
 #
-# $Id: Makefile,v 1.48 2005/06/17 10:58:23 rousseau Exp $
+# $Id: Makefile,v 1.50 2007-08-14 15:59:22 rousseau Exp $
 #
 
 # set this path to where you installed pcsc-lite
 INCS = `pkg-config libpcsclite --cflags`
-INSTALL_DIR = $(DESTDIR)/`pkg-config libpcsclite --variable=usbdropdir`/serial
+INSTALL_DIR = $(DESTDIR)`pkg-config libpcsclite --variable=usbdropdir`/serial
 
 # use a correct default CFLAGS
 ifeq ($(CFLAGS),)
 CFLAGS = -O2 -g -Wall -fPIC -I. -I../common -DGEMPC=410 $(INCS)
 else
 CFLAGS += -Wall -fPIC -I. -I../common -DGEMPC=410 $(INCS)
-endif
-
-# by default install in /usr/local
-ifeq ($(DESTDIR),)
-DESTDIR=/usr/local
 endif
 
 # /home/rousseau/sc/pcsc/i/ifd-gempc-0.5.10/GemPC410 -> 0.5.10
@@ -47,7 +42,6 @@
 	rm -f $@
 	$(CC) -shared $(targets) $(common_targets) -o $@
 	chmod -x $@
-	strip --strip-unneeded $@
 	mv $@ $@.$(version)
 
 clean:

=== GemPC430/Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #
-# $Id: Makefile,v 1.46 2005-06-17 10:58:50 rousseau Exp $
+# $Id: Makefile,v 1.48 2007-08-14 15:59:24 rousseau Exp $
 #
 
 # set these paths to where you installed pcsc-lite and libusb
 # you can use more than one path in each variable
 INCS = -I/usr/local/include `pkg-config libpcsclite --cflags`
 LIBS = -L/usr/local/lib
-INSTALL_DIR = $(DESTDIR)/`pkg-config libpcsclite --variable=usbdropdir`
+INSTALL_DIR = $(DESTDIR)`pkg-config libpcsclite --variable=usbdropdir`
 
 # use a correct default CFLAGS
 ifeq ($(CFLAGS),)
@@ -15,11 +15,6 @@
 CFLAGS += -Wall -fPIC -I. -I../common -DGEMPC=430 $(INCS)
 endif
 LDFLAGS = $(LIBS) -lusb
-
-# by default install in /usr/local
-ifeq ($(DESTDIR),)
-DESTDIR=/usr/local
-endif
 
 # /home/rousseau/sc/pcsc/i/ifd-gempc-0.5.10/GemPC410 -> 0.5.10
 version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
@@ -45,7 +40,6 @@
 
 libGemPC430.so: common $(targets)
 	$(CC) -shared $(LDFLAGS) -o $@ $(targets) $(common_targets)
-	strip $@
 
 main.o: ../GemPC410/main.c
 	$(CC) $(CFLAGS) -c -o $@ $^

## ifd-gempc 1.0.5

=== GemPC430/Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 #
-# $Id: Makefile,v 1.48 2007-08-14 15:59:24 rousseau Exp $
+# $Id: Makefile,v 1.49 2009-04-12 08:46:52 rousseau Exp $
 #
 
 # set these paths to where you installed pcsc-lite and libusb
 # you can use more than one path in each variable
 INCS = -I/usr/local/include `pkg-config libpcsclite --cflags`
-LIBS = -L/usr/local/lib
+LIBS = -L/usr/local/lib -lusb
 INSTALL_DIR = $(DESTDIR)`pkg-config libpcsclite --variable=usbdropdir`
 
 # use a correct default CFLAGS
@@ -14,7 +14,6 @@
 else
 CFLAGS += -Wall -fPIC -I. -I../common -DGEMPC=430 $(INCS)
 endif
-LDFLAGS = $(LIBS) -lusb
 
 # /home/rousseau/sc/pcsc/i/ifd-gempc-0.5.10/GemPC410 -> 0.5.10
 version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
@@ -27,7 +26,7 @@
 
 check: check_stamp
 check_stamp:
-	CFLAGS="$(INCS)" LDFLAGS="$(LIBS)" ../check 430
+	CFLAGS="$(INCS)" LIBS="$(LIBS)" ../check 430
 	touch check_stamp
 
 expert: ifd-GemPC430 libGemPC430.so
@@ -36,10 +35,10 @@
 	$(MAKE) -C ../common CFLAGS="$(CFLAGS) -I../GemPC430" all
 
 ifd-GemPC430: common $(targets) main.o ../common/GCdebug.o
-	$(CC) $(LDFLAGS) -o $@ $(targets) $(common_targets) main.o ../common/GCdebug.o
+	$(CC) $(LDFLAGS) -o $@ $(targets) $(common_targets) main.o ../common/GCdebug.o $(LIBS)
 
 libGemPC430.so: common $(targets)
-	$(CC) -shared $(LDFLAGS) -o $@ $(targets) $(common_targets)
+	$(CC) -shared $(LDFLAGS) -o $@ $(targets) $(common_targets) $(LIBS)
 
 main.o: ../GemPC410/main.c
 	$(CC) $(CFLAGS) -c -o $@ $^

## ifd-gempc 1.0.6

=== GemPC410/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.50 2007-08-14 15:59:22 rousseau Exp $
+# $Id: Makefile,v 1.51 2009-04-12 08:46:48 rousseau Exp $
 #
 
 # set this path to where you installed pcsc-lite
@@ -40,7 +40,7 @@
 
 libGemPC410.so: common $(targets)
 	rm -f $@
-	$(CC) -shared $(targets) $(common_targets) -o $@
+	$(CC) -shared $(LDFLAGS) $(targets) $(common_targets) -o $@
 	chmod -x $@
 	mv $@ $@.$(version)

=== debian/changelog ===
ifd-gempc (1.0.6-1) unstable; urgency=low

  * New upstream version
  * debian/source/format: use "3.0 (quilt)"
  * debian/control: Standards-Version: 3.8.3 -> 3.8.4, no change needed

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 16 Jun 2010 16:05:27 +0200

ifd-gempc (1.0.5-2) unstable; urgency=low

  * Fix "[INTL:ja] please add Japanese po-debconf template translation
    (ja.po)" add debian/po/ja.po (Closes: #554107)
  * debian/libgempc410.post{inst,rm}: fix lintian warning
    command-with-path-in-maintainer-script
  * debian/copyright: fix lintian warning copyright-without-copyright-notice
  * debian/control: Standards-Version: 3.8.1 -> 3.8.3. No change needed

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 04 Nov 2009 13:30:39 +0100

ifd-gempc (1.0.5-1) unstable; urgency=low

  * New upstream version
  * use debhelper compatibility 7
  * debian/rules: use dh_prep instead of dh_clean -k
  * Standards-Version: 3.7.2 -> 3.8.1
   - use Homepage: filed
   - add support of nostrip and parallel= in DEB_BUILD_OPTIONS

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 12 Apr 2009 11:57:49 +0200

ifd-gempc (1.0.4-1) unstable; urgency=low

  * New upstream version
  * debian/control: Build-Depends: on (>= 1.2.9-beta7) instead of
    (>= 1.2.9-beta7-1). Avoids a lintian warning

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 15 Feb 2009 14:26:31 +0100

ifd-gempc (1.0.3-1) unstable; urgency=high

  * urengcy high since it corrects a RC bug
  * New upstream version
    - Closes: #428323 "libgempc430: Causes pcscd to segfault on startup"

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 14 Aug 2007 18:52:06 +0200

ifd-gempc (1.0.2-3) unstable; urgency=low

  * GemPC4?0/Makefile: remove the call of strip. Closes: #437197 "ifd-gempc:
    not handling nostrip build option (policy 10.1)"

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 11 Aug 2007 21:06:06 +0200

ifd-gempc (1.0.2-2) unstable; urgency=low

  * debian/po/pt.po: Closes: #434064: ifd-gempc: [INTL:pt] Portuguese
    translation for debconf messages

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 01 Aug 2007 21:48:49 +0200

ifd-gempc (1.0.2-1) unstable; urgency=low

  * New upstream version

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 29 Jun 2007 16:45:09 +0200

ifd-gempc (1.0.1-5) unstable; urgency=low

  * debian/po/es.po: closes: #396476: "ifd-gempc: Update spanish po-debconf
    translation"

 -- Ludovic Rousseau <rousseau@debian.org>  Wed,  1 Nov 2006 13:53:23 +0100

ifd-gempc (1.0.1-4) unstable; urgency=low

  * debian/po/de.po: closes: #396380: "ifd-gempc: [INTL:de] Updated German
    debconf translation"
  * debian/libgempc410.templates: use #flag:translate:5
  * debian/po/*.po: regenerate
  * debian/libgempc430.postrm: use invoke-rc.d instead of calling
    /etc/init.d/pcscd directly. Thanks lintian(1)

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 31 Oct 2006 20:58:47 +0100

ifd-gempc (1.0.1-3) unstable; urgency=low

  * debian/po/ru.po: update. Closes: #361652 "ifd-gempc: [INTL:ru] Updated
    Russian translation for debconf template"

 -- Ludovic Rousseau <rousseau@debian.org>  Sun,  9 Apr 2006 16:00:56 +0200

ifd-gempc (1.0.1-2) unstable; urgency=medium

  * urgency=medium since the package libgempc410 was broken
  * debian/libgempc410.postinst: use libGemPC410.so.1.0.1 instead of
    libGemPC410.so.1.0.0 in /etc/reader.conf. Closes: #355118: libgempc410:
    wrong /etc/reader.conf.d/libGemPC410

 -- Ludovic Rousseau <rousseau@debian.org>  Sat,  4 Mar 2006 16:12:28 +0100

ifd-gempc (1.0.1-1) unstable; urgency=low

  * New upstream version

 -- Ludovic Rousseau <rousseau@debian.org>  Thu,  9 Feb 2006 14:38:54 +0100

ifd-gempc (1.0.0-9) unstable; urgency=low

  * debian/po/cs.po: update. Closes: #345137 "Czech translation for ifd-gempc"

 -- Ludovic Rousseau <rousseau@debian.org>  Sun,  1 Jan 2006 22:28:30 +0100

ifd-gempc (1.0.0-8) unstable; urgency=low

  * debian/po/sv.po: update. Closes: #342021 "[INTL:sv] Swedish debconf
    templates translation"

 -- Ludovic Rousseau <rousseau@debian.org>  Wed,  7 Dec 2005 17:53:25 +0100

ifd-gempc (1.0.0-7) unstable; urgency=low

  * debian/libgempc410.templates: change again, sorry
  * debian/po/fr.po: update

 -- Ludovic Rousseau <rousseau@debian.org>  Sun,  4 Dec 2005 15:08:12 +0100

ifd-gempc (1.0.0-6) unstable; urgency=low

  * debian/control: remove Recommends: hotplug for libgempc430 since Debian
    uses udev instead now
  * debian/libgempc410.templates: change the Description: text to be compliant
    with the developers reference, section 6.5
  * debian/libgempc410.prerm: removed. This script was used to remove
    /etc/reader.conf.d/ if empty but it always contains 0comments from pcscd
  * debian/libgempc430.templates: remove debconf note about hotplug
  * debian/libgempc430.config: removed since no more debconf note
  * debian/libgempc430.postinst: remove debconf calls
  * debian/libgempc430.prerm: removed since it does nothing
  * debian/libgempc430.preinst: removed since it does nothing

 -- Ludovic Rousseau <rousseau@debian.org>  Sat,  3 Dec 2005 17:08:36 +0100

ifd-gempc (1.0.0-5) unstable; urgency=low

  * debian/po/sv.po: Closes: #337770 "Swedish debconf templates translation"
  * debian/compat: use level debian helper level 4, no change

 -- Ludovic Rousseau <rousseau@debian.org>  Sun,  6 Nov 2005 18:26:25 +0100

ifd-gempc (1.0.0-4) unstable; urgency=low

  * debian/control: use ${misc:Depends} instead of "debconf | debconf-2.0"
    as indicated in http://lists.debian.org/debian-devel/2005/08/msg00361.html

 -- Ludovic Rousseau <rousseau@debian.org>  Sun,  7 Aug 2005 19:15:08 +0200

ifd-gempc (1.0.0-3) unstable; urgency=low

  * debian/contol: use "debconf | debconf-2.0" as requested in
    http://lists.debian.org/debian-devel/2005/08/msg00136.html

 -- Ludovic Rousseau <rousseau@debian.org>  Sun,  7 Aug 2005 18:40:13 +0200

ifd-gempc (1.0.0-2) unstable; urgency=low

  * debian/po/cs.po: Czech translation. Closes: #315209


=== debian/control ===
Source: ifd-gempc
Section: libs
Priority: extra
Maintainer: Ludovic Rousseau <rousseau@debian.org>
Build-Depends: debhelper (>> 7.0.0), libusb-dev (>= 0.1.6a-2.1), libpcsclite-dev (>= 1.2.9-beta7), po-debconf, pkg-config
Standards-Version: 3.8.4
Homepage: http://ludovic.rousseau.free.fr/softwares/ifd-GemPC/

Package: libgempc410
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pcscd (>= 1.2.9-beta7-1)
Provides: pcsc-ifd-handler
Description: PC/SC driver for the GemPC 410, 412, 413 and 415 smart card readers
 This library provides a PC/SC IFD handler implementation for the Gemplus
 GemPC410, GCR410P, GemPC412, GemPC413 and GemPC415 serial smart card readers.
 .
 This package is needed to communicate with the GemPC41x smartcard
 readers through the PC/SC Lite resource manager (pcscd).

Package: libgempc430
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pcscd (>= 1.2.9-beta7-1)
Provides: pcsc-ifd-handler
Description: PC/SC driver for the GemPC 430, 432, 435 smart card readers
 This library provides a PC/SC IFD handler implementation for the Gemplus
 GemPC430, GemPC432 and GemPC435 USB smart card readers.
 .
 This package is needed to communicate with the GemPC43x smartcard
 readers through the PC/SC Lite resource manager (pcscd).

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

version := $(shell dpkg-parsechangelog | \
	sed -ne 's/^Version: *\([0-9]\+:\)*//p')

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
    INSTALL_PROGRAM += -s
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif

tag:
	cvs tag -c -F $(subst .,_,debian_version_$(version))

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	CFLAGS="$(CFLAGS)" $(MAKE) all

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean

	# avoid makedepend since it is not needed on a Debian build
	touch GemPC410/dep_stamp GemPC430/dep_stamp common/dep_stamp

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/ifd-gempc.
	$(MAKE) -C GemPC430 install DESTDIR=$(CURDIR)/debian/libgempc430/
	$(MAKE) -C common clean
	$(MAKE) -C GemPC410 install DESTDIR=$(CURDIR)/debian/libgempc410/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installchangelogs Changelog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## ifd-gempc 1.0.7

=== debian/changelog ===
ifd-gempc (1.0.7-3) unstable; urgency=low

  * Fix "[INTL:it] Italian translation of debconf messages" add
    provided debian/po/it.po file (Closes: #761094)
  * debian/control: Standards-Version: 3.9.4 -> 3.9.3. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 12 Sep 2014 14:37:52 +0200

ifd-gempc (1.0.7-2) unstable; urgency=low

  * debian/libgempc410.postinst: use the correct library version
  * debian/control: Standards-Version: 3.9.3 -> 3.9.4. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 24 Oct 2013 19:18:57 +0200

ifd-gempc (1.0.7-1) unstable; urgency=low

  * New upstream release
  * Fix "Hardening flags missing" fixed upstream (Closes: #667931)
  * debian/patches/01_spelling: merged upstream

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 08 Apr 2012 23:36:51 +0200

ifd-gempc (1.0.6-6) unstable; urgency=low

  * use debhelper version 9 to get automatic hardening
  * debian/control: Standards-Version: 3.9.2 -> 3.9.3. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 06 Apr 2012 20:39:54 +0200

ifd-gempc (1.0.6-5) unstable; urgency=low

  * Fix "[INTL:nl] Dutch translation of debconf templates" update the
    debian/po/nl.po file (Closes: #659707)
  * debian/patches/01_spelling: fix typo spotted by lintian

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 14 Feb 2012 22:10:28 +0100

ifd-gempc (1.0.6-4) unstable; urgency=low

  * debian/rules: use a minimal dh rule file
  * debian/compat: upgrade from 7 to 8
  * debian/control: remove version 1.2.9-beta7 on pcsc-lite dependency since
    oldstable (lenny) has 1.4.102-1 already
  * Fix "FTBFS: dpkg-buildpackage: error: dpkg-source -b ifd-gempc-1.0.6
    gave error exit status 2" moved from cvs-buildpackage to svn-buildpackage
    without cvs stupid changes in the $Id$ date format (Closes: #643162)
  * debian/copyright: only reference the /usr/share/common-licenses/GPL-2 file
    to fix lintian P: libgempc410: copyright-refers-to-symlink-license
    usr/share/common-licenses/GPL
  * debian/libgempc410.config: use "set -e" to fix lintian warning P:
    libgempc410: maintainer-script-without-set-e config

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 27 Sep 2011 21:04:18 +0200

ifd-gempc (1.0.6-3) unstable; urgency=low

  * Fix "[INTL:da] Danish translation of the debconf templates ifd-
    gempc" add debian/po/da.po (Closes: #628411)
  * debian/control: Standards-Version: 3.9.1 -> 3.9.2. No change needed

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 29 May 2011 14:47:50 +0200

ifd-gempc (1.0.6-2) unstable; urgency=low

  * Fix "wrong LIBPATH in reader.conf.d/libGemPC410" fix the version number in
    the postinst script (Closes: #610846)
  * debian/control: Standards-Version: 3.8.4 -> 3.9.1. No change needed

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 23 Jan 2011 15:03:17 +0000

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: libs
 Priority: extra
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Build-Depends: debhelper (>> 7.0.0), libusb-dev (>= 0.1.6a-2.1), libpcsclite-dev (>= 1.2.9-beta7), po-debconf, pkg-config
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 9~), libusb-dev (>= 0.1.6a-2.1), libpcsclite-dev, po-debconf, pkg-config
+Standards-Version: 3.9.5
 Homepage: http://ludovic.rousseau.free.fr/softwares/ifd-GemPC/
 
 Package: libgempc410
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, pcscd (>= 1.2.9-beta7-1)
+Depends: ${shlibs:Depends}, ${misc:Depends}, pcscd
 Provides: pcsc-ifd-handler
 Description: PC/SC driver for the GemPC 410, 412, 413 and 415 smart card readers
  This library provides a PC/SC IFD handler implementation for the Gemplus
@@ -19,7 +19,7 @@
 
 Package: libgempc430
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, pcscd (>= 1.2.9-beta7-1)
+Depends: ${shlibs:Depends}, ${misc:Depends}, pcscd
 Provides: pcsc-ifd-handler
 Description: PC/SC driver for the GemPC 430, 432, 435 smart card readers
  This library provides a PC/SC IFD handler implementation for the Gemplus

=== debian/watch ===
# see uscan(1)
version=2
http://ludovic.rousseau.free.fr/softwares/ifd-GemPC/ \
        ifd-gempc-([\d\.]*)\.tar\.gz

## ifd-gempc 1.0.8

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.9 2003/05/03 07:43:49 rousseau Exp $
+# $Id: Makefile,v 1.9 2003-05-03 07:43:49 rousseau Exp $
 
 all:
 	$(MAKE) -C common clean

=== GemPC410/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.51 2009-04-12 08:46:48 rousseau Exp $
+# $Id: Makefile,v 1.53 2012/04/08 19:13:19 rousseau Exp $
 #
 
 # set this path to where you installed pcsc-lite
@@ -33,14 +33,14 @@
 	$(MAKE) -C ../common CFLAGS="$(CFLAGS) -I../GemPC410" all
 
 ifd-GemPC410: common $(targets) main.o ../common/GCdebug.o
-	$(CC) -o $@ $(targets) $(common_targets) main.o ../common/GCdebug.o
+	$(CC) -o $@ $(CFLAGS) $(LDFLAGS) $(targets) $(common_targets) main.o ../common/GCdebug.o
 
 resetGemPC410: resetGemPC410.o
-	$(CC) -o $@ $^
+	$(CC) -o $@ $(CFLAGS) $(LDFLAGS) $^
 
 libGemPC410.so: common $(targets)
 	rm -f $@
-	$(CC) -shared $(LDFLAGS) $(targets) $(common_targets) -o $@
+	$(CC) -shared $(CFLAGS) $(LDFLAGS) $(targets) $(common_targets) -o $@
 	chmod -x $@
 	mv $@ $@.$(version)

=== GemPC430/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# $Id: Makefile,v 1.49 2009-04-12 08:46:52 rousseau Exp $
+# $Id: Makefile,v 1.50 2012/04/08 19:13:22 rousseau Exp $
 #
 
 # set these paths to where you installed pcsc-lite and libusb
@@ -35,13 +35,13 @@
 	$(MAKE) -C ../common CFLAGS="$(CFLAGS) -I../GemPC430" all
 
 ifd-GemPC430: common $(targets) main.o ../common/GCdebug.o
-	$(CC) $(LDFLAGS) -o $@ $(targets) $(common_targets) main.o ../common/GCdebug.o $(LIBS)
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $(targets) $(common_targets) main.o ../common/GCdebug.o $(LIBS)
 
 libGemPC430.so: common $(targets)
-	$(CC) -shared $(LDFLAGS) -o $@ $(targets) $(common_targets) $(LIBS)
+	$(CC) -shared $(CFLAGS) $(LDFLAGS) -o $@ $(targets) $(common_targets) $(LIBS)
 
 main.o: ../GemPC410/main.c
-	$(CC) $(CFLAGS) -c -o $@ $^
+	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -c -o $@ $^
 
 clean:
 	rm -f .dependencies

=== common/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.17 2003/08/14 09:45:18 rousseau Exp $
+# $Id: Makefile,v 1.17 2003-08-14 09:45:18 rousseau Exp $
 
 OBJS = GCCmds.o GCUtils.o ifdhandler.o GCdebug.o

=== debian/changelog ===
ifd-gempc (1.0.8-9) unstable; urgency=medium

  * Add d/patches/check
  * d/control: Reformat Build-Depends:
  * d/control: Build-Depends: pkgconf
  * Fix "ftbfs with GCC-14" by patching "check" (Closes: #1075084)

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 05 Jul 2024 13:04:06 +0200

ifd-gempc (1.0.8-8) unstable; urgency=medium

  * d/{watch,copyright,control}: project moved to https://ifd-gempc.apdu.fr/
  * d/control: Standards-Version: 4.6.1 -> 4.6.2. No change needed.

 -- Ludovic Rousseau <rousseau@debian.org>  Sat, 05 Aug 2023 13:42:25 +0200

ifd-gempc (1.0.8-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libusb-dev.

  [ Ludovic Rousseau ]
  * Fix "[INTL:pt_BR] Brazilian Portuguese debconf templates
    translation" (Closes: #1028011)
  * d/po/sv.po: convert from iso-8859-1 to utf-8
  * d/watch: uprgrade from version 2 to 4
  * d/control: Standards-Version: 3.9.8 -> 4.6.1. No change needed.
  * d/libgempc410.postinst: update lib version to 1.0.8

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 06 Jan 2023 16:05:15 +0100

ifd-gempc (1.0.8-6) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Ludovic Rousseau ]
  * d/upstream/signing-key.asc: export the key as minimal
  * d/control: use debhelper-compat (= 13)
  * d/control: Add Rules-Requires-Root: no

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 16 Sep 2020 09:20:00 +0200

ifd-gempc (1.0.8-5) unstable; urgency=medium

  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: change priority from extra to optional
    W: libgempc430: priority-extra-is-replaced-by-priority-optional

 -- Ludovic Rousseau <rousseau@debian.org>  Sun, 25 Mar 2018 16:40:40 +0200

ifd-gempc (1.0.8-4) unstable; urgency=medium

  * Do not use parallel builds (Closes: #887691)
  * ifdgempc410: Do not use update-reader.conf any more

 -- Ludovic Rousseau <rousseau@debian.org>  Fri, 19 Jan 2018 18:00:38 +0100

ifd-gempc (1.0.8-3) unstable; urgency=medium

  * Fix Vcs-Git: URL in control file
  * Upgrade debhelper to compat level 10 (from 9)

 -- Ludovic Rousseau <rousseau@debian.org>  Mon, 25 Dec 2017 13:30:13 +0100

ifd-gempc (1.0.8-2) unstable; urgency=medium

  * Fix Vcs-Browser URL

 -- Ludovic Rousseau <rousseau@debian.org>  Wed, 20 Dec 2017 10:15:46 +0100

ifd-gempc (1.0.8-1) unstable; urgency=medium

  * New upstream release
  * Migrate the Debian packging from SVN to GIT
  * debian/control: Standards-Version: 3.9.5 -> 3.9.8. No change needed.
  * Enable hardening. Fix lintian: hardening-no-bindnow
  * debian/watch: check PGP signature

 -- Ludovic Rousseau <rousseau@debian.org>  Thu, 14 Dec 2017 19:02:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,17 @@
 Source: ifd-gempc
 Section: libs
-Priority: extra
+Priority: optional
 Maintainer: Ludovic Rousseau <rousseau@debian.org>
-Build-Depends: debhelper (>= 9~), libusb-dev (>= 0.1.6a-2.1), libpcsclite-dev, po-debconf, pkg-config
-Standards-Version: 3.9.5
-Homepage: http://ludovic.rousseau.free.fr/softwares/ifd-GemPC/
+Build-Depends: debhelper-compat (= 13),
+	libusb-dev,
+	libpcsclite-dev,
+	po-debconf,
+	pkgconf
+Standards-Version: 4.6.2
+Vcs-Git: https://salsa.debian.org/debian/ifd-gempc.git
+Vcs-Browser: https://salsa.debian.org/debian/ifd-gempc
+Homepage: https://ifd-gempc.apdu.fr/
+Rules-Requires-Root: no
 
 Package: libgempc410
 Architecture: any

=== debian/watch ===
# see uscan(1)
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
		https://ifd-gempc.apdu.fr/ \
        ifd-gempc-([\d\.]*)\.tar\.gz
